Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 981091 - [abrt] sssd-ipa-1.10.0-12.fc19.beta2: pac_lookup_sids_done: Process /usr/libexec/sssd/sssd_pac was killed by signal 11 (SIGSEGV)
Summary: [abrt] sssd-ipa-1.10.0-12.fc19.beta2: pac_lookup_sids_done: Process /usr/libe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:880d7c5ad63a9947110c67a802a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-04 02:24 UTC by Andy Kelk
Modified: 2020-05-02 17:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-08 15:58:18 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (147.54 KB, text/plain)
2013-07-04 02:24 UTC, Andy Kelk
no flags Details
File: cgroup (154 bytes, text/plain)
2013-07-04 02:24 UTC, Andy Kelk
no flags Details
File: core_backtrace (1.60 KB, text/plain)
2013-07-04 02:24 UTC, Andy Kelk
no flags Details
File: dso_list (4.88 KB, text/plain)
2013-07-04 02:24 UTC, Andy Kelk
no flags Details
File: environ (164 bytes, text/plain)
2013-07-04 02:24 UTC, Andy Kelk
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-04 02:24 UTC, Andy Kelk
no flags Details
File: maps (23.34 KB, text/plain)
2013-07-04 02:25 UTC, Andy Kelk
no flags Details
File: open_fds (1.07 KB, text/plain)
2013-07-04 02:25 UTC, Andy Kelk
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-07-04 02:25 UTC, Andy Kelk
no flags Details
File: var_log_messages (313 bytes, text/plain)
2013-07-04 02:25 UTC, Andy Kelk
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3050 0 None None None 2020-05-02 17:24:11 UTC

Description Andy Kelk 2013-07-04 02:24:17 UTC
Description of problem:
I upgraded to Fedora 19 from Fedora 18 using fedup. I tried to login with my AD credentials which had been set up using "realm join" in F18. I could not authenticate so logged in as a local user, did "realm leave" and then a new "realm join". Can now authenticate.

However, when using sudo to run a command, I get a crash in sssd_pac.

/var/log/sssd/sssd_pac.log is 0 byte.

Version-Release number of selected component:
sssd-ipa-1.10.0-12.fc19.beta2

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/sssd/sssd_pac --debug-to-files
crash_function: pac_lookup_sids_done
executable:     /usr/libexec/sssd/sssd_pac
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 pac_lookup_sids_done at src/responder/pac/pacsrv_cmd.c:309
 #1 pac_lookup_sids_next_done at src/responder/pac/pacsrv_cmd.c:1070
 #2 sss_dp_internal_get_done at src/responder/common/responder_dp.c:779
 #3 complete_pending_call_and_unlock at dbus-connection.c:2314
 #5 sbus_dispatch at src/sbus/sssd_dbus_connection.c:104
 #6 tevent_common_loop_timer_delay at ../tevent_timed.c:341
 #7 epoll_event_loop_once at ../tevent_epoll.c:916
 #8 std_event_loop_once at ../tevent_standard.c:112
 #9 _tevent_loop_once at ../tevent.c:530
 #10 tevent_common_loop_wait at ../tevent.c:634

Comment 1 Andy Kelk 2013-07-04 02:24:29 UTC
Created attachment 768565 [details]
File: backtrace

Comment 2 Andy Kelk 2013-07-04 02:24:34 UTC
Created attachment 768566 [details]
File: cgroup

Comment 3 Andy Kelk 2013-07-04 02:24:39 UTC
Created attachment 768567 [details]
File: core_backtrace

Comment 4 Andy Kelk 2013-07-04 02:24:44 UTC
Created attachment 768568 [details]
File: dso_list

Comment 5 Andy Kelk 2013-07-04 02:24:50 UTC
Created attachment 768569 [details]
File: environ

Comment 6 Andy Kelk 2013-07-04 02:24:55 UTC
Created attachment 768570 [details]
File: limits

Comment 7 Andy Kelk 2013-07-04 02:25:04 UTC
Created attachment 768571 [details]
File: maps

Comment 8 Andy Kelk 2013-07-04 02:25:09 UTC
Created attachment 768572 [details]
File: open_fds

Comment 9 Andy Kelk 2013-07-04 02:25:15 UTC
Created attachment 768573 [details]
File: proc_pid_status

Comment 10 Andy Kelk 2013-07-04 02:25:20 UTC
Created attachment 768574 [details]
File: var_log_messages

Comment 11 Lukas Slebodnik 2013-07-04 07:35:47 UTC
It is good, that you were able to authenticate after running commands  "reaml leave" and "realm join".

If you want verbose debug messages in pac log, you will need to add option
"debug_level = 10" to "pac" section in sssd configuration file "/etc/sssd/sssd.conf". If there is not any "pac" section, It will be no problem to create one.

[pac]
debug_level = 10


I have an idea, why sssd crashed, but I am not really sure.
Could you attach coredump? Coredump help us a lot with finding a real reason of crash. It should be automatically generated by abrt, but it has not been uploaded to this ticket. You can find coredump in /var/spool/abrt or /var/tmp/abrt/

Log files will be also very helpful (at least sssd_pac and sssd_<domain_name>)

Comment 12 Lukas Slebodnik 2013-07-04 08:59:21 UTC
I was able to reproduce this crash.
Even coredump or logs are not needed.

Comment 13 Lukas Slebodnik 2013-07-04 09:02:11 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2008

Comment 14 Lukas Slebodnik 2013-07-04 09:23:40 UTC
Package sssd-ad >= 1.10.0-13.fc19 should fix your issue and
sssd-ad-1.10.0-16 is available in Fedora 19 testing repository.

You can install this package with command:
sudo yum update --enablerepo=updates-testing sssd-ad-1.10.0-16.fc19

Comment 15 Andy Kelk 2013-07-08 01:48:20 UTC
sssd-ad-1.10.0-16.fc19 seems to have solved this particular crash for me, however I am now seeing a crash in sssd-common which doesn't seem to have any functional impact. Next time I see it I will investigate further and see if it's already reported.

Comment 16 Jakub Hrozek 2013-07-08 15:58:18 UTC
(In reply to Andy Kelk from comment #15)
> sssd-ad-1.10.0-16.fc19 seems to have solved this particular crash for me,
> however I am now seeing a crash in sssd-common which doesn't seem to have
> any functional impact. Next time I see it I will investigate further and see
> if it's already reported.

Thank you for testing, Andy! I'm going to close this particular bug and please open a new report if you can reproduce the other crash. Thank you for reporting the issues and sorry for the trouble you are having.


Note You need to log in before you can comment on or make changes to this bug.